using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Abstractions {
  public abstract class EquatableBase<T> : IEquatable<T> {
    public bool Equals(T? other) {
      if (other == null)
        return false;

      return GetHashCode() == other.GetHashCode();
    }

    public abstract override int GetHashCode();
  }
}
